using System;
using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;

namespace Database_Example
{
	/// <summary>
	/// Summary description for ConnectionFactory.
	/// </summary>
	/// 
	
	public class ConnectionFactory
	{
		private static SqlConnection m_Connection;

		private ConnectionFactory()
		{
			//Singleton
			//can not create an instance of this class
		}
		
		private static void Connect()
		{
			m_Connection = new SqlConnection();

			m_Connection.ConnectionString = "initial catalog=Northwind" +
				";integrated security=SSPI;persist security info=False" + 
				";packet size=4096";
			
			try
			{
				m_Connection.Open();
			}
			catch(Exception exception)
			{
				MessageBox.Show(exception.Message,"Login Failed");
			}

		}

		public static SqlConnection Connection
		{
			get
			{
				if (m_Connection == null || m_Connection.State != ConnectionState.Open)
				{
					Connect();
				}

				return m_Connection;
			}
		}
	}
}
